## org.bn.compiler.parser.model
Class AsnConstraint

    java.lang.Object
      org.bn.compiler.parser.model.AsnConstraint

    public class AsnConstraint

extends java.lang.Object

Field Summary
`ElementSetSpec` `addElemSetSpec`
`AsnDefinedValue` `definedValue`
`ElementSetSpec` `elemSetSpec`
`boolean` `isAdditionalElementSpec`
`boolean` `isColonValue`
`boolean` `isCommaDotDot`
`boolean` `isDefinedValue`
`boolean` `isElementSetSpecs`
`boolean` `isExceptionSpec`
`boolean` `isSignedNumber`
`AsnSignedNumber` `signedNumber`
`java.lang.Object` `type`
`AsnValue` `value`

Constructor Summary
`AsnConstraint()`

Method Summary
`ConstraintElements` `addElemSS_allExceptConstraintElem()`
`boolean` `addElemSS_isAllExcept()`
`ConstraintElements` `elemSS_allExceptConstraintElem()`
`boolean` `elemSS_isAllExcept()`
`ConstraintElements` `get_addElemSS_firstConstraintElem()`
`Intersection` `get_addElemSS_firstIntsectElem()`
`ConstraintElements` `get_addElemSS_intersectionConstraintElems(int intersectElem, int constraintElem)`
`Intersection` `get_addElemSS_IntsectElem(int i)`
`ConstraintElements` `get_elemSS_firstConstraintElem()`
`Intersection` `get_elemSS_firstIntsectElem()`
`ConstraintElements` `get_elemSS_intersectionConstraintElems(int intersectElem, int constraintElem)`
`Intersection` `get_elemSS_IntsectElem(int i)`
`int` `sz_addElemSS_intersectionConstraintElems(int i)`
`int` `sz_addElemSS_IntsectList()`
`int` `sz_elemSS_intersectionConstraintElems(int i)`
`int` `sz_elemSS_IntsectList()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### addElemSetSpec

    public ElementSetSpec addElemSetSpec

### definedValue

    public AsnDefinedValue definedValue

### elemSetSpec

    public ElementSetSpec elemSetSpec

### isAdditionalElementSpec

    public boolean isAdditionalElementSpec

### isColonValue

    public boolean isColonValue

### isCommaDotDot

    public boolean isCommaDotDot

### isDefinedValue

    public boolean isDefinedValue

### isElementSetSpecs

    public boolean isElementSetSpecs

### isExceptionSpec

    public boolean isExceptionSpec

### isSignedNumber

    public boolean isSignedNumber

### signedNumber

    public AsnSignedNumber signedNumber

### type

    public java.lang.Object type

### value

    public AsnValue value

Constructor Detail

### AsnConstraint

    public AsnConstraint()

Method Detail

### addElemSS_allExceptConstraintElem

    public ConstraintElements addElemSS_allExceptConstraintElem()

### addElemSS_isAllExcept

    public boolean addElemSS_isAllExcept()

### elemSS_allExceptConstraintElem

    public ConstraintElements elemSS_allExceptConstraintElem()

### elemSS_isAllExcept

    public boolean elemSS_isAllExcept()

### get_addElemSS_IntsectElem

    public Intersection get_addElemSS_IntsectElem(int i)

### get_addElemSS_firstConstraintElem

    public ConstraintElements get_addElemSS_firstConstraintElem()

### get_addElemSS_firstIntsectElem

    public Intersection get_addElemSS_firstIntsectElem()

### get_addElemSS_intersectionConstraintElems

    public ConstraintElements get_addElemSS_intersectionConstraintElems(int intersectElem,
                                                                        int constraintElem)

### get_elemSS_IntsectElem

    public Intersection get_elemSS_IntsectElem(int i)

### get_elemSS_firstConstraintElem

    public ConstraintElements get_elemSS_firstConstraintElem()

### get_elemSS_firstIntsectElem

    public Intersection get_elemSS_firstIntsectElem()

### get_elemSS_intersectionConstraintElems

    public ConstraintElements get_elemSS_intersectionConstraintElems(int intersectElem,
                                                                     int constraintElem)

### sz_addElemSS_IntsectList

    public int sz_addElemSS_IntsectList()

### sz_addElemSS_intersectionConstraintElems

    public int sz_addElemSS_intersectionConstraintElems(int i)

### sz_elemSS_IntsectList

    public int sz_elemSS_IntsectList()

### sz_elemSS_intersectionConstraintElems

    public int sz_elemSS_intersectionConstraintElems(int i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`